Skip to main content

Update Lead Appointment: Entrata

PUThttps://api.propexo.com/v1/events/appointments/leads/entrata/:event_id
Method
leads/updateLeads

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

event_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    unit_idstring

    The Propexo unique identifier for the unit

    notesstringrequired

    Notes associated with the event

    Possible values: non-empty

    appointment_datestring

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestring

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    appointment_duration_minutesinteger

    The duration of the appointment, in minutes

    Possible values: > 0

    appointment_typestring

    The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available

    Show 4 enum values
    LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOUR
    titlestring

    The title associated with the event

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    event_idstringrequired

    The Propexo unique identifier for the event

    unit_idstring

    The Propexo unique identifier for the unit

    notesstringrequired

    Notes associated with the event

    Possible values: non-empty

    appointment_datestring

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestring

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    appointment_duration_minutesinteger

    The duration of the appointment, in minutes

    Possible values: > 0

    appointment_typestring

    The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available

    Show 4 enum values
    LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOUR
    titlestring

    The title associated with the event

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/events/appointments/leads/entrata/:event_id
curl -X PUT https://api.propexo.com/v1/events/appointments/leads/entrata/:event_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"event_id": "string",
"unit_id": "string",
"notes": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0,
"appointment_type": "LEASING_APPOINTMENT",
"title": "string"
}
}